# Einführung in die Web-Programmierung mit Flask, Sommersemester 2019 (17.07.2019)

Hier befindet sich eine grobe Anleitung, was zu tun ist, um überhaupt mit der Web-Programmierung auf der technischen Seite
 anfangen zu können…
 
## Das Projekt auf den Computer bringen (mit GIT)

Dazu öffnet bitte ein Konsole und gebt folgenden Befehl ein:

    git clone git@gitlab.cl.uni-heidelberg.de:prog1_participants/webprogramming_ss2019 $HOME/webprogramming_ss2019
    
Jetzt habt Ihr das Projektverzeichnis in Eurem Home-Verzeichnis mit dem Namen *webprogramming_ss2019*

## Das Projekt einrichten

Um Euer Projekt zum Laufen zu bringen und Euch alle Abhängigkeiten zu holen, könnt Ihr Euch ein *virtualenv* 
einrichten und die Abhängigkeiten dort installieren:

    cd $HOME/webprogramming_ss2019
    virtualenv -p python3 venv
    source venv/bin/activate
    pip install -r requirements.txt
    
## Das Projekt starten

Ihr habt bereits ein kleines lauffähiges Programm namens *hello.py*, welches Ihr starten könnt. Der Startvorgang 
sieht dabei so aus:

    export FLASK_APP=hello.py
    export FLASK_ENV=development
    flask run

Nach diesem Befehl startet die Konsole den Webserver und Ihr könnt mittels http://127.0.0.1:5000 mit einem Browser 
Eurer Wahl Eure Webseite(n) bestaunen.

## Das Projekt erweitern

Unter dem Ordner *creative_app* habt Ihr schon eine größere Webapplikation zur Verfügung. Diese könnt Ihr genauso 
starten wie die vorherige Applikation. Diese werden wir heute besprechen.

    cd creative_app
    export FLASK_APP=creative_app.py
    export FLASK_ENV=development
    flask run
