#!/usr/bin/env python
# -*- coding: utf-8 -*-

from flask_wtf import FlaskForm
from wtforms import IntegerField, SubmitField
from wtforms.validators import InputRequired


class RickAndMortyForm(FlaskForm):
    """
    Form used to request Rick and Morty Lorem Ipsum Generator
    """
    paragraphs = IntegerField('Anzahl Absätze', validators=[InputRequired()])
    quotes = IntegerField('Anzahl Zitate', validators=[InputRequired()])
    submit = SubmitField('Anfrage durchführen')

