from flask import Flask


app = Flask(__name__)


@app.route('/')
def index():
    return 'Willkommen zum letzten Prog1-Kurstag!'


@app.route('/hello')
def hello():
    return 'Hallo!'


@app.route('/digitsum/<int:number>')
def count(number):
    result = 0
    while number:
        result, number = result + number % 10, number // 10
    return 'Die Quersumme Deiner Zahl ist {}.'.format(result)
